Skip to main content
POST
/
public
/
workspace
/
{workspaceId}
/
links
Create recording link
curl --request POST \
  --url https://api.userplane.com/api/v1/public/workspace/{workspaceId}/links \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "domainId": "<string>",
  "projectId": "<string>",
  "linkReference": "<string>",
  "linkReusable": false,
  "meta": {}
}
'
{
  "message": "<string>",
  "data": {
    "workspaceId": "<string>",
    "link": {
      "linkId": "<string>",
      "linkTitle": "<string>",
      "linkType": "file",
      "linkReusable": true,
      "linkProviderType": "intercom",
      "linkProviderId": "<string>",
      "linkProviderReference": "<string>",
      "linkURL": "<string>",
      "meta": {},
      "createdAt": "2023-11-07T05:31:56Z",
      "project": {
        "projectId": "<string>",
        "title": "<string>"
      },
      "creator": {
        "workspaceMemberId": "<string>",
        "name": "<string>"
      },
      "domain": {
        "domainId": "<string>",
        "url": "<string>",
        "status": "pending"
      }
    }
  }
}
Creates a new recording link in the specified workspace.

Errors

Error codeStatusDescription
LINK_DEFAULT_PROJECT_NOT_FOUND404No default project found for workspace
LINK_PROJECT_DELETED410The specified project has been deleted
LINK_CREATE_FAILED500Failed to create the link
PLAN_LIMIT_EXCEEDED403Workspace plan limit exceeded
Also returns common authentication errors.

List Links

View all links in a workspace

Get Link

Retrieve the created link by ID

Update Link

Update link settings after creation

List Projects

Find project IDs for link creation

Authorizations

Authorization
string
header
required

API key with uspl_ prefix. Create keys at dash.userplane.io/_/account?tab=developers

Path Parameters

workspaceId
string
required
Minimum string length: 1

Body

application/json
domainId
string
required
Minimum string length: 1
projectId
string
Minimum string length: 1
Maximum string length: 2048
meta
object

Response

OK

message
string
required
data
object
required